diff -urN time-1.7.old/configure.in time-1.7/configure.in
--- time-1.7.old/configure.in	2003-09-01 09:24:58.175972525 -0700
+++ time-1.7/configure.in	2003-09-01 09:02:37.968806954 -0700
@@ -1,12 +1,11 @@
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(time.c)
-VERSION=1.7
-AC_SUBST(VERSION)
-PACKAGE=time
-AC_SUBST(PACKAGE)
+AM_INIT_AUTOMAKE(time, 1.7)
 
 AC_ARG_PROGRAM
 
+AM_MAINTAINER_MODE
+
 dnl Checks for programs.
 AC_PROG_CC
 AC_PROG_CPP
diff -urN time-1.7.old/debian/changelog time-1.7/debian/changelog
--- time-1.7.old/debian/changelog	2003-09-01 09:24:58.187965166 -0700
+++ time-1.7/debian/changelog	2003-09-01 09:15:56.048317092 -0700
@@ -1,3 +1,11 @@
+time (1.7-17) unstable; urgency=low
+
+  * configure.in: Add AM_MAINTAINER_MODE, to avoid problems with
+    time stamp skew in the source package.  Closes: #208193.
+  * debian/rules: Make new file `missing' executable.
+
+ -- Daniel Schepler <schepler@debian.org>  Mon,  1 Sep 2003 09:15:56 -0700
+
 time (1.7-16) unstable; urgency=low
 
   * time.c: When time exits in a non-normal way, return 128 plus the 
diff -urN time-1.7.old/debian/rules time-1.7/debian/rules
--- time-1.7.old/debian/rules	2003-09-01 09:24:58.185966393 -0700
+++ time-1.7/debian/rules	2003-09-01 09:12:10.812525056 -0700
@@ -10,6 +10,9 @@
 ## derive package name from directory name, and lower-case
 package	:= $(shell basename $(CURDIR) | cut -f1 -d- | tr [A-Z] [a-z] )
 
+post-patches::
+		chmod a+x ./missing
+
 common-build-arch::
 		texi2html -verbose -monolithic $(package).texi
 
diff -urN time-1.7.old/missing time-1.7/missing
--- time-1.7.old/missing	1969-12-31 16:00:00.000000000 -0800
+++ time-1.7/missing	2003-09-01 08:59:47.728269029 -0700
@@ -0,0 +1,198 @@
+#! /bin/sh
+# Common stub for a few missing GNU programs while installing.
+# Copyright (C) 1996, 1997, 2001, 2002 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+if test $# -eq 0; then
+  echo 1>&2 "Try \`$0 --help' for more information"
+  exit 1
+fi
+
+# In the cases where this matters, `missing' is being run in the
+# srcdir already.
+if test -f configure.in; then
+  configure_ac=configure.ac
+else
+  configure_ac=configure.in
+fi
+
+case "$1" in
+
+  -h|--h|--he|--hel|--help)
+    echo "\
+$0 [OPTION]... PROGRAM [ARGUMENT]...
+
+Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
+
+Options:
+  -h, --help      display this help and exit
+  -v, --version   output version information and exit
+
+Supported PROGRAM values:
+  aclocal      touch file \`aclocal.m4'
+  autoconf     touch file \`configure'
+  autoheader   touch file \`config.h.in'
+  automake     touch all \`Makefile.in' files
+  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
+  flex         create \`lex.yy.c', if possible, from existing .c
+  lex          create \`lex.yy.c', if possible, from existing .c
+  makeinfo     touch the output file
+  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
+    ;;
+
+  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+    echo "missing - GNU libit 0.0"
+    ;;
+
+  -*)
+    echo 1>&2 "$0: Unknown \`$1' option"
+    echo 1>&2 "Try \`$0 --help' for more information"
+    exit 1
+    ;;
+
+  aclocal*)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acinclude.m4' or \`$configure_ac'.  You might want
+         to install the \`Automake' and \`Perl' packages.  Grab them from
+         any GNU archive site."
+    touch aclocal.m4
+    ;;
+
+  autoconf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`$configure_ac'.  You might want to install the
+         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+         archive site."
+    touch configure
+    ;;
+
+  autoheader)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acconfig.h' or \`$configure_ac'.  You might want
+         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+         from any GNU archive site."
+    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' $configure_ac`
+    test -z "$files" && files="config.h"
+    touch_files=
+    for f in $files; do
+      case "$f" in
+      *:*) touch_files="$touch_files "`echo "$f" |
+				       sed -e 's/^[^:]*://' -e 's/:.*//'`;;
+      *) touch_files="$touch_files $f.in";;
+      esac
+    done
+    touch $touch_files
+    ;;
+
+  automake*)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`Makefile.am', \`acinclude.m4' or \`$configure_ac'.
+         You might want to install the \`Automake' and \`Perl' packages.
+         Grab them from any GNU archive site."
+    find . -type f -name Makefile.am -print |
+	   sed 's/\.am$/.in/' |
+	   while read f; do touch "$f"; done
+    ;;
+
+  bison|yacc)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.y' file.  You may need the \`Bison' package
+         in order for those modifications to take effect.  You can get
+         \`Bison' from any GNU archive site."
+    rm -f y.tab.c y.tab.h
+    if [ $# -ne 1 ]; then
+        eval LASTARG="\${$#}"
+	case "$LASTARG" in
+	*.y)
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" y.tab.c
+	    fi
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" y.tab.h
+	    fi
+	  ;;
+	esac
+    fi
+    if [ ! -f y.tab.h ]; then
+	echo >y.tab.h
+    fi
+    if [ ! -f y.tab.c ]; then
+	echo 'main() { return 0; }' >y.tab.c
+    fi
+    ;;
+
+  lex|flex)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.l' file.  You may need the \`Flex' package
+         in order for those modifications to take effect.  You can get
+         \`Flex' from any GNU archive site."
+    rm -f lex.yy.c
+    if [ $# -ne 1 ]; then
+        eval LASTARG="\${$#}"
+	case "$LASTARG" in
+	*.l)
+	    SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" lex.yy.c
+	    fi
+	  ;;
+	esac
+    fi
+    if [ ! -f lex.yy.c ]; then
+	echo 'main() { return 0; }' >lex.yy.c
+    fi
+    ;;
+
+  makeinfo)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.texi' or \`.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy \`make' (AIX,
+         DU, IRIX).  You might want to install the \`Texinfo' package or
+         the \`GNU make' package.  Grab either from any GNU archive site."
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+      file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
+      file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
+    fi
+    touch $file
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.  Check the \`README' file,
+         it often tells you about the needed prerequirements for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing \`$1' program."
+    exit 1
+    ;;
+esac
+
+exit 0
diff -urN time-1.7.old/stamp-vti time-1.7/stamp-vti
--- time-1.7.old/stamp-vti	2003-09-01 09:24:58.175972525 -0700
+++ time-1.7/stamp-vti	2003-09-01 09:04:59.000000000 -0700
@@ -1,3 +1,3 @@
-@set UPDATED 9 May 2002
+@set UPDATED 1 September 2003
 @set EDITION 1.7
 @set VERSION 1.7
diff -urN time-1.7.old/time.info time-1.7/time.info
--- time-1.7.old/time.info	2003-09-01 09:24:58.209951675 -0700
+++ time-1.7/time.info	2003-09-01 09:04:59.000000000 -0700
@@ -1,4 +1,4 @@
-This is time.info, produced by makeinfo version 4.1 from time.texi.
+This is time.info, produced by makeinfo version 4.6 from time.texi.
 
 INFO-DIR-SECTION Individual utilities
 START-INFO-DIR-ENTRY
@@ -60,7 +60,7 @@
 Measuring Program Resource Use
 ******************************
 
-   The `time' command runs another program, then displays information
+The `time' command runs another program, then displays information
 about the resources used by that program, collected by the system while
 the program was running.  You can select which information is reported
 and the format in which it is shown (*note Setting Format::), or have
@@ -110,8 +110,8 @@
 Setting the Output Format
 =========================
 
-   `time' uses a "format string" to determine which information to
-display about the resources used by the command it runs.  *Note Format
+`time' uses a "format string" to determine which information to display
+about the resources used by the command it runs.  *Note Format
 String::, for the interpretation of the format string contents.
 
    You can specify a format string with the command line options listed
@@ -153,7 +153,7 @@
 The Format String
 =================
 
-   The "format string" controls the contents of the `time' output.  It
+The "format string" controls the contents of the `time' output.  It
 consists of "resource specifiers" and "escapes", interspersed with
 plain text.
 
@@ -308,11 +308,11 @@
 Redirecting Output
 ==================
 
-   By default, `time' writes the resource use statistics to the
-standard error stream.  The options below make it write the statistics
-to a file instead.  Doing this can be useful if the program you're
-running writes to the standard error or you're running `time'
-noninteractively or in the background.
+By default, `time' writes the resource use statistics to the standard
+error stream.  The options below make it write the statistics to a file
+instead.  Doing this can be useful if the program you're running writes
+to the standard error or you're running `time' noninteractively or in
+the background.
 
 `-o FILE'
 `--output=FILE'
@@ -393,11 +393,11 @@
 Accuracy
 ========
 
-   The elapsed time is not collected atomically with the execution of
-the program; as a result, in bizarre circumstances (if the `time'
-command gets stopped or swapped out in between when the program being
-timed exits and when `time' calculates how long it took to run), it
-could be much larger than the actual execution time.
+The elapsed time is not collected atomically with the execution of the
+program; as a result, in bizarre circumstances (if the `time' command
+gets stopped or swapped out in between when the program being timed
+exits and when `time' calculates how long it took to run), it could be
+much larger than the actual execution time.
 
    When the running time of a command is very nearly zero, some values
 (e.g., the percentage of CPU used) may be reported as either zero (which
@@ -426,7 +426,7 @@
 Running the `time' Command
 ==========================
 
-   The format of the `time' command is:
+The format of the `time' command is:
 
      time [option...] COMMAND [ARG...]
 
@@ -473,15 +473,15 @@
 Tag Table:
 Node: Top1115
 Node: Resource Measurement1908
-Node: Setting Format3858
-Node: Format String5164
-Node: Time Resources6470
-Node: Memory Resources7100
-Node: I/O Resources7805
-Node: Command Info9003
-Node: Redirecting9220
-Node: Examples10010
-Node: Accuracy12320
-Node: Invoking time13842
+Node: Setting Format3855
+Node: Format String5158
+Node: Time Resources6461
+Node: Memory Resources7091
+Node: I/O Resources7796
+Node: Command Info8994
+Node: Redirecting9211
+Node: Examples9998
+Node: Accuracy12308
+Node: Invoking time13827
 
 End Tag Table
